erro no pacote samba

ola eu gostaria de uma ajuda, meu mint é o sylvia 18.3 e toda vez que preciso instalar um pacote ele da essa mensagem:

sudo apt-get -f install
[sudo] password for welton:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
gcalctool libfltk1.1
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 8 not upgraded.
7 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up samba-common (2:4.3.11+dfsg-0ubuntu0.16.04.13) ...
dpkg: error processing package samba-common (--configure):
subprocess installed post-installation script returned error exit status 10
dpkg: dependency problems prevent configuration of samba-common-bin:
samba-common-bin depends on samba-common (= 2:4.3.11+dfsg-0ubuntu0.16.04.13); however:
Package samba-common is not configured yet.

dpkg: error processing package samba-common-bin (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of samba:
samba depends on samba-common (= 2:4.3.11+dfsg-0ubuntu0.16.04.13); however:
Package samba-common is not configured yet.
samba depends on samba-common-bin (= 2:4.3.11+dfsg-0ubuntu0.16.04.13); however:
Package samba-common-bin is not configured yet.

dpkg: error processing package samba (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of samba-dbg:
samba-dbg depends on samba (= 2:4.3.11+dfsg-0ubuntu0.16.04.13); however:
Package samba is not configured yet.

dpkg: error processing package samba-dbg (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gadmin-samba:
gadmin-samba depends on samba; however:
Package samba is not configured yet.
gadmin-samba depends on samba-common-bin; however:
Package samba-common-bin is not configured yet.

dpkg: error processing package gadmin-samba (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of system-config-samba:
system-config-samba depends on samba; however:
Package samba is not configured yet.

dpkg: error processing package system-config-samba (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gadmin-samba-dbg:
gadmin-samba-dbg depends on gadmin-samba (= 0.3.2-0ubuntu1); however:
Package gadmin-samba is not configured yet.

dpkg: error processing package gadmin-samba-dbg (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
samba-common
samba-common-bin
samba
samba-dbg
gadmin-samba
system-config-samba
gadmin-samba-dbg
E: Sub-process /usr/bin/dpkg returned an error code (1)


executei o comando sudo apt-get -f install para exemplificar quem puder ajudar fico grato!!
·
Entre ou Registre-se para fazer um comentário.